<div>
    <h2 id="page-heading">
        <span>Sub Product Categories</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-sub-product-category" [routerLink]="['/sub-product-category/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Sub Product Category
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="subProductCategories?.length === 0">
        <span>No subProductCategories found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="subProductCategories && subProductCategories.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Product Category Id</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Icon</span></th>
                    <th scope="col" ><span>Description</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let subProductCategory of subProductCategories ;trackBy: trackId">
                    <td><a [routerLink]="['/sub-product-category', subProductCategory.id, 'view']">{{ subProductCategory.id }}</a></td>
                    <td>{{ subProductCategory.productCategoryId }}</td>
                    <td>{{ subProductCategory.name }}</td>
                    <td>{{ subProductCategory.icon }}</td>
                    <td>{{ subProductCategory.description }}</td>
                    <td>{{ subProductCategory.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/sub-product-category', subProductCategory.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/sub-product-category', subProductCategory.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(subProductCategory)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
